# exsp-gen , help to generate boilerplate

Create a robust Node.js backend REST API boilerplate integrated seamlessly with MongoDB. This package offers a comprehensive foundation for swiftly developing RESTful APIs. It includes a collection of pre-configured components, aiding in rapid setup and deployment. Streamline your backend development process with intuitive folder structures, standardized error handling, authentication middleware, database integration, and endpoint scaffolding. Simplify API creation with this boilerplate, equipped with essential tools and configurations, enabling developers to focus on application logic. Kickstart your Node.js backend project effortlessly, ensuring scalability, security, and maintainability in every API endpoint.

# Installation

```bash
  npm install -g exsp-gen
```

## How use It

```bash
   exsp-gen create-node-app test-app
```

## Features New Added

- Login/SignUp
- GET Profile
- UPDATE Profile
- Upload Profile with S3 Bucker
- Pagination
- CRUD Operations
- Upload File
- S3 Bucket

## Authors

- [@vivekmethew](https://github.com/VivekMethew)

# Hi, I'm Vivek Methew! 👋

# Keywords
